FFe: new package cloud-install

Bug #1282837 reported by Adam Stokes on 2014-02-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-installer (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
Utopic
High
Unassigned

Bug Description

[Why]

 Ubuntu Cloud installer is a metal to cloud image that provides an extremely
 simple way to install, deploy and scale an openstack cloud on top of
 Ubuntu server. Initial configurations are available for single
 physical system deployments as well as multiple physical system
 deployments.

[Source]

bzr:
lp:cloud-installer

ppa:
ppa:cloud-installer/ppa

tarball:
https://launchpad.net/cloud-installer/trunk/v0.2/+download/cloud-install_0.2.orig.tar.gz

[Checklist]
Packaging review
MUST:
[Y] Package must meet Ubuntu versioning & Maintainer requirements
[Y] Package must match current Ubuntu (and Debian) packaging policies
[Y] Package must build, install, run, remove, and purge cleanly
SHOULD:
[N] Package should be lintian clean
       - made some overrides to dh_installinit as it was erroring on no /etc/init.d/cloud-install even though we only have an upstart file
[Y] Contents of debian/ should be sane
[Y] Changelog should close a "needs-packaging" bug
[Y] Package should follow http://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html
Maintenance review
MUST:
[Y] Package must contain a watch file or get-orig-source rule
[N/A] If upstream is no more, the packager should consider adopting the upstream package somewhere
[N :(] Packages who implement get-orig-source for packages with watch files get extra points
[Y] Packaged version must not have any known security or critical bugs
SHOULD:
[Y] Packaging scripts should be readable and readily comprehensible
[Y] Upstream should be responsive, and maintain a bug tracker
[Y] Packaged version should be latest upstream
[Y] Package should not be native without an approved spec
Suitability review
MUST:
[Y] Package must meet copyright / licensing requirements
[Y] Non-native packages must have verifiable cryptographic path to upstream source
[Waiting] Package must be advocated by at least two members of ubuntu-dev (the packager may count as one)
SHOULD:
[Y] Package should work on a standard Ubuntu/Kubuntu/Xubuntu/etc. system
[Y] Package should provide hints to system services (app-install-data, menus, etc.) to ease installation and use
[Y] Package should provide Ubuntu-specific documentation for variances in behaviour from upstream
[Y] Package should provide a Homepage: header in debian/control

Thanks

description: updated

On Fri, Feb 21, 2014 at 12:58:30AM -0000, Adam Stokes wrote:
> Public bug reported:
>
> [Why]
>
>  Ubuntu Cloud installer is a metal to cloud image that provides an extremely
>  simple way to install, deploy and scale an openstack cloud on top of
>  Ubuntu server. Initial configurations are available for single
>  physical system deployments as well as multiple physical system
>  deployments.

Go for it.

 status confirmed
 unsubscribe ubuntu-release

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Changed in ubuntu:
status: New → Confirmed
Matthias Klose (doko) on 2014-03-24
affects: Ubuntu Trusty → cloud-installer (Ubuntu Trusty)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-installer - 0.1+bzr111-0ubuntu1

---------------
cloud-installer (0.1+bzr111-0ubuntu1) trusty; urgency=low

  * Initial Release. Closes "needs-packaging" bug (LP: #1282837).
 -- Adam Stokes <email address hidden> Wed, 26 Feb 2014 13:26:37 -0500

Changed in cloud-installer (Ubuntu Trusty):
status: Confirmed → Fix Released
Adam Stokes (adam-stokes) wrote :

An updated tarball can be found here:

https://launchpad.net/cloud-installer/trunk/v0.14/+download/cloud-installer_0.14%2Bbzr301.orig.tar.gz

The previous checklist still applies

Thanks!

Steve Langasek (vorlon) wrote :

Reopening this bug as a continuation of the previous FFe for the new package; evidently further updates are needed. As this is a new package which was only uploaded post-FF in the first place, I'm going to grant a blanket FFe for the new upstream changes and will review once it hits the queue.

Changed in cloud-installer (Ubuntu Trusty):
status: Fix Released → Confirmed
Steve Langasek (vorlon) wrote :

cloud-installer/0.14+bzr301-0ubuntu1 unblocked.

Changed in cloud-installer (Ubuntu Trusty):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers